Subject: bug#13441: 24.3.50; doc of `goto-char'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Jan 2013 05:47:49 +0200

> From: "Drew Adams" <[email-masked]>
> Date: Mon, 14 Jan 2013 14:23:09 -0800
> 
> I don't see where it does this in the code, but it sure seems like
> `goto-char' recenters the window around the target position.  This is
> part of what the command does, and should be mentioned in its doc.  It
> is not mentioned in either the doc string or the Elisp manual.

It is not part of what the command does.  It is part of normal Emacs
display, whereby, if point moves outside the displayed portion of the
buffer, Emacs brings point into view by (by default) centering point
in the window.  Here "by default" means "unless you customized one of
the scroll-* variables".

The window centering is described in "Textual Scrolling" and in the
Emacs manual under "Auto Scrolling".